// Agent observer code

+artifact_counter_is(Name)[source(Sender)] : true <-
                                           .println("Ready")
                                           .send(Sender,tell,ready);
                                           !observe(Name);
                                           .

+!observe(Name) : true <-
                       lookupArtifact(Name,Id);
                       focus(Id).

-!observe(Name) <- .print("Error in looking for artifact ", Name).

+count(V) : V<=60 <- .println("observed new value ", V).
+count(V)[artifact_id(Id)] : V>60 <- stopFocus(Id).

+tick(V)[artifact_name(_,Name)] : true <- .println("perceived a tick ", V, " from ", Name).

{ include("$jacamoJar/templates/common-cartago.asl") }
{ include("$jacamoJar/templates/common-moise.asl") }

// uncomment the include below to have a agent that always complies with its organization
//{ include("$jacamoJar/templates/org-obedient.asl") }
